Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class CompactWriter

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlWriter
          com.thoughtworks.xstream.io.xml.PrettyPrintWriter
              com.thoughtworks.xstream.io.xml.CompactWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter, XmlFriendlyWriter

    public class CompactWriter

extends PrettyPrintWriter

Field Summary

Fields inherited from class com.thoughtworks.xstream.io.xml.PrettyPrintWriter
`depth, XML_1_0, XML_1_1, XML_QUIRKS`

Constructor Summary
`CompactWriter(Writer writer)`
`CompactWriter(Writer writer, int mode)`
`CompactWriter(Writer writer, int mode, XmlFriendlyReplacer replacer)`
`CompactWriter(Writer writer, XmlFriendlyReplacer replacer)`

Method Summary
`protected void` | `endOfLine()`

Methods inherited from class com.thoughtworks.xstream.io.xml.PrettyPrintWriter
`addAttribute, close, endNode, flush, getNewLine, setValue, startNode, startNode, writeAttributeValue, writeText`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlWriter
`escapeXmlName, underlyingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactWriter

    public CompactWriter(Writer writer)

### CompactWriter

    public CompactWriter(Writer writer,
                         int mode)

Since:
  1.3

### CompactWriter

    public CompactWriter(Writer writer,
                         XmlFriendlyReplacer replacer)

### CompactWriter

    public CompactWriter(Writer writer,
                         int mode,
                         XmlFriendlyReplacer replacer)

Since:
  1.3

Method Detail

### endOfLine

    protected void endOfLine()

  Overrides:
    `endOfLine` in class `PrettyPrintWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.